﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication31
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class AllDataPoint
    {
        public double Value { get; set; }
        public string Label { get; set; }
        public double Open { get; set; }
        public double High { get; set; }
        public double Low { get; set; }
        public double Close { get; set; }
        public DateTime Date { get; set; }
        public double XMapping { get; set; }
        public double YMapping { get; set; }
        public double Volume { get; set; }
        public double Scale { get; set; }
    }

    public class AllData : ObservableCollection<AllDataPoint>
    {
        public AllData()
            : base()
        {
            this.Add(new AllDataPoint() { Label = "A", Value = 5.0, Open = 2.0, High = 5.0, Low = 1.0, Close = 4.0, Date = new DateTime(2009, 12, 10), Volume = 85, XMapping = 92.2, YMapping = 75.4, Scale = 1.0 });
            this.Add(new AllDataPoint() { Label = "B", Value = 75.0, Open = 3.0, High = 6.0, Low = 2.0, Close = 5.0, Date = new DateTime(2009, 12, 11), Volume = 2, XMapping = 25, YMapping = 10, Scale = 2.0 });
            this.Add(new AllDataPoint() { Label = "C", Value = 2.0, Open = 4.0, High = 7.0, Low = 3.0, Close = 6.0, Date = new DateTime(2009, 12, 12), Volume = 62.2, XMapping = 19, YMapping = 35, Scale = 3.0 });
            this.Add(new AllDataPoint() { Label = "D", Value = 90.0, Open = 5.0, High = 8.0, Low = 4.0, Close = 7.0, Date = new DateTime(2009, 12, 13), Volume = 22, XMapping = 8, YMapping = 72.2, Scale = 4.0 });
            this.Add(new AllDataPoint() { Label = "E", Value = 22.2, Open = 6.0, High = 4.0, Low = 0.0, Close = 3.0, Date = new DateTime(2009, 12, 14), Volume = 19, XMapping = 88, YMapping = 2, Scale = 5.0 });
            this.Add(new AllDataPoint() { Label = "F", Value = 5.0, Open = 7.0, High = 5.0, Low = 1.0, Close = 4.0, Date = new DateTime(2009, 12, 15), Volume = 27, XMapping = 70, YMapping = 22.5, Scale = 6.0 });
            this.Add(new AllDataPoint() { Label = "G", Value = 62.0, Open = 8.0, High = 6.0, Low = 1.5, Close = 3.0, Date = new DateTime(2009, 12, 16), Volume = 76.9, XMapping = 92, YMapping = 6, Scale = 7.0 });
            this.Add(new AllDataPoint() { Label = "H", Value = 1.5, Open = 9.0, High = 7.0, Low = 3.0, Close = 2.0, Date = new DateTime(2009, 12, 17), Volume = 26, XMapping = 32.5, YMapping = 17, Scale = 8.0 });
            this.Add(new AllDataPoint() { Label = "I", Value = 12.75, Open = 10.0, High = 8.0, Low = 2.0, Close = 7.5, Date = new DateTime(2009, 12, 18), Volume = 8, XMapping = 19.7, YMapping = 27, Scale = 9.0 });
            this.Add(new AllDataPoint() { Label = "J", Value = 42.6, Open = 12.0, High = 7.0, Low = 5.0, Close = 32.5, Date = new DateTime(2009, 12, 19), Volume = 28, XMapping = 17, YMapping = 65, Scale = 10.0 });
            this.Add(new AllDataPoint() { Label = "K", Value = 77.0, Open = 13.0, High = 5.0, Low = 10.2, Close = 6.5, Date = new DateTime(2009, 12, 20), Volume = 34, XMapping = 32.7, YMapping = 42, Scale = 11.0 });
            this.Add(new AllDataPoint() { Label = "L", Value = 0.0, Open = 18.0, High = 7.0, Low = 9.0, Close = 12.5, Date = new DateTime(2009, 12, 21), Volume = 11, XMapping = 56, YMapping = 88, Scale = 12.0 });
            this.Add(new AllDataPoint() { Label = "M", Value = 6.0, Open = 11.0, High = 12.0, Low = 5.0, Close = 2.5, Date = new DateTime(2009, 12, 22), Volume = 17, XMapping = 72, YMapping = 27, Scale = 13.0 });
            this.Add(new AllDataPoint() { Label = "N", Value = 10.0, Open = 15.0, High = 7.0, Low = 3.0, Close = 1.5, Date = new DateTime(2009, 12, 23), Volume = 66.5, XMapping = 75, YMapping = 19, Scale = 14.0 });
            this.Add(new AllDataPoint() { Label = "O", Value = 24.2, Open = 25.0, High = 10.0, Low = 5.0, Close = 12.5, Date = new DateTime(2009, 12, 24), Volume = 62, XMapping = 12, YMapping = 95, Scale = 15.0 });
            this.Add(new AllDataPoint() { Label = "P", Value = 7.6, Open = 9.0, High = 5.5, Low = 12.0, Close = 10.5, Date = new DateTime(2009, 12, 25), Volume = 25, XMapping = 16, YMapping = 35, Scale = 16.0 });
            this.Add(new AllDataPoint() { Label = "Q", Value = 92.0, Open = 12.0, High = 8.0, Low = 7.5, Close = 2.2, Date = new DateTime(2009, 12, 26), Volume = 88, XMapping = 92.2, YMapping = 27.5, Scale = 17.0 });
            this.Add(new AllDataPoint() { Label = "R", Value = 110.0, Open = 13.2, High = 7.5, Low = 6.2, Close = 22.5, Date = new DateTime(2009, 12, 27), Volume = 10, XMapping = 15, YMapping = 110, Scale = 18.0 });
            this.Add(new AllDataPoint() { Label = "S", Value = 150.2, Open = 15.8, High = 11.2, Low = 2.0, Close = 7.5, Date = new DateTime(2009, 12, 28), Volume = 87, XMapping = 16.2, YMapping = 87.2, Scale = 19.0 });
            this.Add(new AllDataPoint() { Label = "T", Value = 82.0, Open = 12.8, High = 7.5, Low = 33, Close = 87, Date = new DateTime(2009, 12, 29), Volume = 65, XMapping = 62.2, YMapping = 78.9, Scale = 20.0 });
            this.Add(new AllDataPoint() { Label = "U", Value = 60.2, Open = 30, High = 45, Low = 22, Close = 66, Date = new DateTime(2009, 12, 30), Volume = 28, XMapping = 68.8, YMapping = 42, Scale = 21.0 });
        }
    }
}
